// Repraesentiert ungueltige Werte roemischer Zahlen
class InvalidValueException extends Exception {
}

// repraesentiert ungueltige Darstellungen roemischer Zahlen
class InvalidStringException extends Exception {
}

class JavaRoman extends CRoman {

	// erzeugt eine roemische Zahl mit dem angegebenen Wert
	// Fehler, wenn v < 0 oder v > MAX_VALUE
	public JavaRoman(int v) throws InvalidValueException {
		super(v);
		if (error == INVALID_VALUE_ERROR) {
			throw new InvalidValueException();
		}
	}

	// erzeugt eine roemische Zahl mit dem durch den String repraesentierten
	// Wert
	// Fehler, wenn der String keine gueltige roemische Zahl darstellt
	public JavaRoman(String str) throws InvalidStringException {
		super(str);
		if (error == INVALID_STRING_ERROR) {
			throw new InvalidStringException();
		}
	}

	// addiert die roemische Zahl zur aufgerufenen roemischen Zahl
	public void add(JavaRoman roman) throws InvalidValueException {
		super.add(roman);
		if (error == INVALID_VALUE_ERROR) {
			throw new InvalidValueException();
		}
	}
}

public class UE21Aufgabe16L {

	public static void main(String[] args) {
		try {
			int zahl = IO.readInt("int-Zahl: ");
			JavaRoman roman1 = new JavaRoman(zahl);
			String str = IO.readString("roemische Zahl: ");
			JavaRoman roman2 = new JavaRoman(str);
			try {
				roman1.add(roman2);
				System.out.println(roman1);
			} catch (InvalidValueException exc) {
				System.out.println("zu grosser Wert");
			}
		} catch (InvalidValueException exc) {
			System.out.println("ungueltiger Wert");
		} catch (InvalidStringException exc) {
			System.out.println("ungueltiger String");
		}
	}

}
