
import bus30.Busnetz;
import bus30.Haltestelle;
import bus30.KeineVerbindungException;
import bus30.UnbekannteHaltestelleException;

class Fahrplaene {

	public static void main(String[] args) {
		// Initialisierung: 1 Punkt
		int param = 0;
		Busnetz netz = new Busnetz();
		// solange noch zwei weitere Parameter existieren: 2 Punkte
		while (param + 1 < args.length) {
			try {
				// Haltestellen ermitteln: 2 Punkte
				Haltestelle von = Haltestelle.getHaltestelle(args[param++]);
				Haltestelle nach = Haltestelle.getHaltestelle(args[param++]);

				// Verbindungen ermitteln: 2 Punkte
				Haltestelle[] hs = netz.getVerbindung(von, nach);

				// Fahrplan ausgeben
				// Strecke: 1 Punkt
				System.out.println("Strecke " + args[param - 2] + " - " + args[param - 1] + ":");
				// Startpunkt: 1 Punkt
				System.out.println("Start bei Haltestelle " + hs[0].getName());
				int fahrzeit = 0;
				for (int i = 1; i < hs.length; i++) {
					// bisherige Gesamtfahrzeit berechnen: 2
					fahrzeit += hs[i - 1].getFahrzeit(hs[i]);
					// Haltestelle + Fahrzeit ausgeben: 2
					System.out.println(hs[i].getName() + " " + fahrzeit + " Minuten");
				}
				System.out.println();
			} catch (UnbekannteHaltestelleException exc) { // 3
				System.out.println("Haltestelle " + args[param - 1] + " ist unbekannt");
				System.out.println();
				if (param % 2 != 0) {
					param++;
				}
			} catch (KeineVerbindungException exc) { // 2
				System.out.println("Keine Verbindung zwischen " + args[param - 2] + " und " + args[param - 1]);
				System.out.println();
			}
		}

	}
}
