
class IOException extends Exception {
}

class DocumentNotExistsException extends Exception {
}

class AccessException extends Exception {
}

class EndOfDocumentException extends Exception {
}

class Document {
	/**
	 * oeffnet ein Dokument unter dem uebergebenen Namen;
	 * 
	 * @param name
	 *            Name des zu oeffnenden Dokumentes
	 * @throws DocumentNotExistsException
	 *             wenn zum uebergebenen Namen kein Dokument existiert, wird das
	 *             Dokument nicht geoeffnet, sondern eine
	 *             DocumentNotExistsException geworfen
	 * @throws AccessException
	 *             wenn der Benutzer keine Zugriffsrechte auf das Dokument hat,
	 *             wird das Dokument nicht geoeffnet, sondern eine
	 *             AccessException geworfen
	 */
	Document(String name) throws DocumentNotExistsException, AccessException {
	}

	/**
	 * liest eine Zeile eines geoeffneten Dokumentes ein und liefert sie als
	 * String-Objekt; Dokumente koennen von vorne bis hinten zeilenweise
	 * ausgelesen werden; jeder Aufruf dieser Methode liefert die jeweils
	 * naechste Zeile
	 * 
	 * @return Inhalt der naechsten Zeile des Dokumentes als String-Objekt
	 * @throws EndOfDocumentException
	 *             wenn keine weitere Zeile mehr existiert, liefert die Methode
	 *             kein String-Objekt, sondern wirft eine EndOfDocumentException
	 * @throws IOException
	 *             bei internen Problemen (bspw. wenn das Dokument nicht
	 *             erfolgreich geoeffnet wurde) liefert die Methode kein
	 *             String-Objekt, sondern wirft eine IOException
	 */
	String readLine() throws EndOfDocumentException, IOException {
		return null;
	}

	/**
	 * schliesst ein geoeffnetes Dokument; ein Dokument, das erfolgreich
	 * geoeffnet wurde, muss nach seiner Benutzung unbedingt wieder geschlossen
	 * werden, da es ansonsten nie wieder zugreifbar ist
	 */
	void close() {
	}
}

public class UE21Aufgabe33 {

	public static void main(String[] args) {
		Document doc = null;
		try {
			doc = new Document(args[0]);
			System.out.println("Beginn " + args[0]);
			while (true) {
				System.out.println(doc.readLine());
			}
		} catch (DocumentNotExistsException exc) {
			System.out.println("Dokument " + args[0] + " existiert nicht");
		} catch (AccessException exc) {
			System.out.println("Sie haben keine Zugriffsrechte auf Dokument " + args[0]);
		} catch (IOException exc) {
			System.out.println("Dokument " + args[0]
					+ " konnte wegen eines internen Fehlers nicht (vollstaendig) ausgelesen werden");
		} catch (EndOfDocumentException exc) {
			System.out.println("Ende " + args[0]);
		} finally {
			if (doc != null) {
				doc.close();
			}
		}

	}
}
