import java.util.ArrayList;
import java.util.Random;

class NoValuesException extends Exception {
}

class Statistik {

	ArrayList<Integer> werte;

	Statistik() {
		werte = new ArrayList<Integer>();
	}

	void neuerWert(int wert) {
		werte.add(wert);
	}

	int summe() {
		int ergebnis = 0;
		for (int wert : werte) {
			ergebnis += wert;
		}
		return ergebnis;
	}

	int mittelwert() throws NoValuesException {
		if (werte.size() == 0) {
			throw new NoValuesException();
		}
		return summe() / werte.size();
	}

	ArrayList<Integer> positiveWerte() {
		ArrayList<Integer> ergebnis = new ArrayList<Integer>();
		for (int wert : werte) {
			if (wert > 0) {
				ergebnis.add(wert);
			}
		}
		return ergebnis;
	}
}

public class UE21Aufgabe35 {
	// Testprogramm
	public static void main(String[] args) throws Exception {
		Statistik zahlen = new Statistik();
		int anzahl = IO.readInt("Anzahl: ");
		for (int i = 1; i <= anzahl; i++) {
			zahlen.neuerWert(new Random().nextInt());
		}
		System.out.println("S=" + zahlen.summe());
		System.out.println("MW=" + zahlen.mittelwert());
		for (int pos : zahlen.positiveWerte()) {
			System.out.println(pos);
		}
	}

}
